# openapi_spec

[![Pub](https://img.shields.io/pub/v/openapi_spec.svg)](https://pub.dev/packages/openapi_spec)
[![Test](https://github.com/tazatechnology/openapi_spec/actions/workflows/test.yaml/badge.svg?branch=main)](https://github.com/tazatechnology/openapi_spec/actions/workflows/test.yaml)
[![Publish](https://github.com/tazatechnology/openapi_spec/actions/workflows/publish.yaml/badge.svg)](https://github.com/tazatechnology/openapi_spec/actions/workflows/publish.yaml)

[openapi_spec](https://pub.dev/packages/openapi_spec) is a Dart package for working with [OpenAPI specifications](https://swagger.io/specification/) to do a whole host of things, including:

* Generate an OpenAPI specification from a `OpenApi` defined Dart object
* Prase an OpenAPI specification into a `OpenApi` defined Dart object
* Generate artifacts from an OpenAPI specification
  * Component schema library
  * Client code library
  * Server code library
  * Swagger UI static documentation ([v4.19.0](https://github.com/swagger-api/swagger-ui/releases/tag/v4.19.0))

## Is this package actively maintained?

Yes! This package is used in production applications and is actively maintained!

An example client that was generated using `openapi_spec` is the [pinecone](https://pub.dev/packages/pinecone) Dart package on pub.dev.

## Contributing

Please see the [openapi_spec Github repository](https://github.com/tazatechnology/openapi_spec). Feel free to open an issue to report bugs or request new features.
