library openapi_models;

import 'dart:convert';
import 'dart:io';
import 'dart:isolate';
import 'package:recase/recase.dart';
import 'package:yaml/yaml.dart' as yaml;
import 'package:path/path.dart' as p;
import 'package:freezed_annotation/freezed_annotation.dart';

import 'package:openapi_spec/src/generators/index.dart';

part 'index.g.dart';
part 'index.freezed.dart';

part 'oauth_flow.dart';
part 'callback.dart';
part 'components.dart';
part 'contact.dart';
part 'discriminator.dart';
part 'encoding.dart';
part 'example.dart';
part 'external_docs.dart';
part 'format.dart';
part 'header.dart';
part 'info.dart';
part 'license.dart';
part 'link.dart';
part 'media_type.dart';
part 'operation.dart';
part 'openid_config.dart';
part 'parameter.dart';
part 'path_item.dart';
part 'request_body.dart';
part 'response.dart';
part 'schema.dart';
part 'security.dart';
part 'security_scheme.dart';
part 'server.dart';
part 'server_variable.dart';
part 'spec.dart';
part 'tag.dart';
part 'xml.dart';

// Ensures that users specify references with the same types
void _checkReferenceTypes(name, ref, self) {
  final sRefType = ref.runtimeType.toString().replaceAll(r'_$_', '');
  final sType = self.runtimeType.toString().replaceAll(r'_$_', '');
  if (ref.runtimeType != self.runtimeType) {
    throw Exception(
      "\n\n'$name' type mismatch\n\nSchema component type: $sRefType\n\nUser specified reference type: $sType\n",
    );
  }
}
